
package URPM;
our @ISA = qw();
sub add_macro_noexpand { my ($_macro) = @_ }
sub archscore { my ($_arch) = @_ }
sub bind_rpm_textdomain_codeset() {}
sub del_macro { my ($_name) = @_ }
sub expand { my ($_name) = @_ }
sub import_pubkey { my (@_more_paras) = @_ }
sub import_pubkey_file { my ($_db, $_filename) = @_ }
sub list_rpm_tag { my ($_o_urpm) = @_ }
sub loadmacrosfile { my ($_filename) = @_ }
sub osscore { my ($_os) = @_ }
sub parse_hdlist__XS { my ($_urpm, $_filename, @_more_paras) = @_ }
sub parse_rpm { my ($_urpm, $_filename, @_more_paras) = @_ }
sub parse_synthesis__XS { my ($_urpm, $_filename, @_more_paras) = @_ }
sub platformscore { my ($_platform) = @_ }
sub ranges_overlap { my ($_a, $_b, $_o_b_nopromote) = @_ }
sub read_config_files() {}
sub resetmacros() {}
sub rpmErrorString() {}
sub rpmErrorWriteTo { my ($_fd) = @_ }
sub rpmvercmp { my ($_one, $_two) = @_ }
sub setVerbosity { my ($_level) = @_ }
sub spec2srcheader { my ($_specfile) = @_ }
sub stream2header { my ($_fp) = @_ }
sub verify_rpm { my ($_filename, @_more_paras) = @_ }
sub verify_signature { my ($_filename) = @_ }

package URPM::DB;
our @ISA = qw();
sub DESTROY { my ($_db) = @_ }
sub create_transaction { my ($_db, $_o_prefix) = @_ }
sub open { my ($_o_prefix, $_o_write_perm) = @_ }
sub rebuild { my ($_o_prefix) = @_ }
sub traverse { my ($_db, $_callback) = @_ }
sub traverse_tag { my ($_db, $_tag, $_names, $_callback) = @_ }
sub traverse_tag_find { my ($_db, $_tag, $_name, $_callback) = @_ }
sub verify { my ($_o_prefix) = @_ }

package URPM::Package;
our @ISA = qw();
sub DESTROY { my ($_pkg) = @_ }
sub arch { my ($_pkg) = @_ }
sub build_header { my ($_pkg, $_fileno) = @_ }
sub build_info { my ($_pkg, $_fileno, $_o_provides_files) = @_ }
sub buildarchs { my ($_pkg) = @_ }
sub buildhost { my ($_pkg) = @_ }
sub buildtime { my ($_pkg) = @_ }
sub changelog_name { my ($_pkg) = @_ }
sub changelog_text { my ($_pkg) = @_ }
sub changelog_time { my ($_pkg) = @_ }
sub compare { my ($_pkg, $_evr) = @_ }
sub compare_pkg { my ($_lpkg, $_rpkg) = @_ }
sub conf_files { my ($_pkg) = @_ }
sub conflicts { my ($_pkg) = @_ }
sub conflicts_nosense { my ($_pkg) = @_ }
sub description { my ($_pkg) = @_ }
sub distribution { my ($_pkg) = @_ }
sub epoch { my ($_pkg) = @_ }
sub excludearchs { my ($_pkg) = @_ }
sub exclusivearchs { my ($_pkg) = @_ }
sub filename { my ($_pkg) = @_ }
sub files { my ($_pkg) = @_ }
sub files_flags { my ($_pkg) = @_ }
sub files_gid { my ($_pkg) = @_ }
sub files_group { my ($_pkg) = @_ }
sub files_md5sum { my ($_pkg) = @_ }
sub files_mode { my ($_pkg) = @_ }
sub files_mtime { my ($_pkg) = @_ }
sub files_owner { my ($_pkg) = @_ }
sub files_size { my ($_pkg) = @_ }
sub files_uid { my ($_pkg) = @_ }
sub filesize { my ($_pkg) = @_ }
sub flag { my ($_pkg, $_name) = @_ }
sub flag_available { my ($_pkg) = @_ }
sub flag_base { my ($_pkg) = @_ }
sub flag_disable_obsolete { my ($_pkg) = @_ }
sub flag_installed { my ($_pkg) = @_ }
sub flag_requested { my ($_pkg) = @_ }
sub flag_required { my ($_pkg) = @_ }
sub flag_selected { my ($_pkg) = @_ }
sub flag_skip { my ($_pkg) = @_ }
sub flag_upgrade { my ($_pkg) = @_ }
sub free_header { my ($_pkg) = @_ }
sub fullname { my ($_pkg) = @_ }
sub get_tag { my ($_pkg, $_tagname) = @_ }
sub get_tag_modifiers { my ($_pkg, $_tagname) = @_ }
sub group { my ($_pkg) = @_ }
sub header_filename { my ($_pkg) = @_ }
sub id { my ($_pkg) = @_ }
sub installtid { my ($_pkg) = @_ }
sub is_arch_compat__XS { my ($_pkg) = @_ }
sub is_platform_compat { my ($_pkg) = @_ }
sub license { my ($_pkg) = @_ }
sub name { my ($_pkg) = @_ }
sub obsoletes { my ($_pkg) = @_ }
sub obsoletes_nosense { my ($_pkg) = @_ }
sub obsoletes_overlap { my ($_pkg, $_s, $_o_b_nopromote, $_o_direction) = @_ }
sub os { my ($_pkg) = @_ }
sub pack_header { my ($_pkg) = @_ }
sub packager { my ($_pkg) = @_ }
sub payload_format { my ($_pkg) = @_ }
sub provides { my ($_pkg) = @_ }
sub provides_nosense { my ($_pkg) = @_ }
sub provides_overlap { my ($_pkg, $_s, $_o_b_nopromote, $_o_direction) = @_ }
sub queryformat { my ($_pkg, $_fmt) = @_ }
sub rate { my ($_pkg) = @_ }
sub release { my ($_pkg) = @_ }
sub requires { my ($_pkg) = @_ }
sub requires_nosense { my ($_pkg) = @_ }
sub rflags { my ($_pkg) = @_ }
sub set_flag { my ($_pkg, $_name, $_o_value) = @_ }
sub set_flag_base { my ($_pkg, $_o_value) = @_ }
sub set_flag_disable_obsolete { my ($_pkg, $_o_value) = @_ }
sub set_flag_installed { my ($_pkg, $_o_value) = @_ }
sub set_flag_requested { my ($_pkg, $_o_value) = @_ }
sub set_flag_required { my ($_pkg, $_o_value) = @_ }
sub set_flag_skip { my ($_pkg, $_o_value) = @_ }
sub set_flag_upgrade { my ($_pkg, $_o_value) = @_ }
sub set_id { my ($_pkg, $_o_id) = @_ }
sub set_rate { my ($_pkg, $_rate) = @_ }
sub set_rflags { my ($_pkg, @_more_paras) = @_ }
sub size { my ($_pkg) = @_ }
sub sourcerpm { my ($_pkg) = @_ }
sub suggests { my ($_pkg) = @_ }
sub summary { my ($_pkg) = @_ }
sub update_header { my ($_pkg, $_filename, @_more_paras) = @_ }
sub url { my ($_pkg) = @_ }
sub vendor { my ($_pkg) = @_ }
sub version { my ($_pkg) = @_ }

package URPM::Transaction;
our @ISA = qw();
sub DESTROY { my ($_trans) = @_ }
sub Element_fullname { my ($_trans, $_index) = @_ }
sub Element_name { my ($_trans, $_index) = @_ }
sub Element_release { my ($_trans, $_index) = @_ }
sub Element_version { my ($_trans, $_index) = @_ }
sub NElements { my ($_trans) = @_ }
sub add { my ($_trans, $_pkg, @_more_paras) = @_ }
sub check { my ($_trans, @_more_paras) = @_ }
sub order { my ($_trans) = @_ }
sub remove { my ($_trans, $_name) = @_ }
sub run { my ($_trans, $_data, @_more_paras) = @_ }
sub set_script_fd { my ($_trans, $_fdno) = @_ }
sub traverse { my ($_trans, $_callback) = @_ }
