package Curses::UI;

our @ISA = qw();

sub new { my ($_class, %_userargs) = @_ }
sub leave_curses { my ($_this) = @_ }
sub mainloop { my ($_this) = @_ }
sub modalfocus { my ($_this) = @_ }
sub nostatus { my ($_this) = @_ }
sub reset_curses { my ($_this) = @_ }


package Curses::UI::Widget;

our @ISA = qw();

sub draw { my ($_this, $_b_no_doupdate) = @_ }
sub focus { my ($_this) = @_ }
sub focusable { my ($_this, $_b_focusable) = @_ }
sub intellidraw { my ($_this) = @_ }
sub set_binding { my ($_this, $_routine, $_key, @_other_keys) = @_ }


package Curses::UI::Listbox;

our @ISA = qw(Curses::UI::Widget);

sub id { my ($_this) = @_ }
sub get { my ($_this) = @_ }
sub get_active_id { my ($_this) = @_ }
sub set_active_id { my ($_this, $_id) = @_ }
sub set_selection { my ($_this, $_id) = @_ }


package Curses::UI::TextEditor;

our @ISA = qw(Curses::UI::Widget);

sub get { my ($_this) = @_ }
sub text { my ($_this, $_o_text) = @_ }


package Curses::UI::Buttonbox;

our @ISA = qw(Curses::UI::Widget);

sub get { my ($_this) = @_ }
sub set_label { my ($_this, $_id, $_text) = @_ }


package Curses::UI::Container;

our @ISA = qw(Curses::UI::Widget);

sub add { my ($_this, $_name, $_type, %_para) = @_ }
sub delete_object { my ($_this, $_object) = @_ }
sub focus { my ($_this, $_focus_to, $_b_forced, $_b_direction) = @_ }


package Curses::UI::Window;

our @ISA = qw(Curses::UI::Container);


package Curses::UI::Dialog::Progress;

our @ISA = qw(Curses::UI::Window);

sub pos { my ($_this, $_pos) = @_ }
sub message { my ($_this, $_msg) = @_ }



package Curses;

sub KEY_LEFT() {}
sub KEY_RIGHT() {}
